Generate customer personas for an assistant
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/simulations/generate-personas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_cases": [
{}
],
"count": 3
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/simulations/generate-personas"
payload = {
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_cases": [{}],
"count": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a', test_cases: [{}], count: 3})
};
fetch('https://{subdomain}.mihu.ai/api/v1/simulations/generate-personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Simulations
Generate customer personas for an assistant
Builds realistic customers of the assistant’s actual business (profile, guidelines, training rules, scenarios and prompt are all considered). Nothing is saved — use the result in create/update.
POST
/
api
/
v1
/
simulations
/
generate-personas
Generate customer personas for an assistant
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Body
application/json
Response
Personas: name, role, traits
⌘I